## ksctl create-cluster ha-azure

Use to create a self-managed Highly-Available cluster on Azure

### Synopsis

[105;90m[0;0m
[104;90m░  ░░░░  ░░░      ░░░░      ░░░        ░░  ░░░░░░░[0;0m
[106;90m▒  ▒▒▒  ▒▒▒  ▒▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒▒▒▒  ▒▒▒▒▒  ▒▒▒▒▒▒▒[0;0m
[102;90m▓     ▓▓▓▓▓▓      ▓▓▓  ▓▓▓▓▓▓▓▓▓▓▓  ▓▓▓▓▓  ▓▓▓▓▓▓▓[0;0m
[103;90m▓  ▓▓▓  ▓▓▓▓▓▓▓▓▓  ▓▓  ▓▓▓▓  ▓▓▓▓▓  ▓▓▓▓▓  ▓▓▓▓▓▓▓[0;0m
[101;90m█  ████  ███      ████      ██████  █████        █[0;0m

[103;30mIt is used to create cluster with the given name from user[0;0m

```
ksctl create-cluster ha-azure [flags]
```

### Examples

```

ksctl create-cluster ha-azure --name demo --region eastus --bootstrap k3s --storage store-local --nodeSizeCP Standard_F2s --nodeSizeWP Standard_F2s --nodeSizeLB Standard_F2s --nodeSizeDS Standard_F2s --noWP 1 --noCP 3 --noDS 3
ksctl create-cluster ha-azure --name demo --region eastus --bootstrap kubeadm --storage store-local --nodeSizeCP Standard_F2s --nodeSizeWP Standard_F4s --nodeSizeLB Standard_F2s --nodeSizeDS Standard_F2s --noWP 1 --noCP 3 --noDS 3 --cni cilium@v1.16.1

```

### Options

```
      --bootstrap string       Kubernetes Bootstrap
      --cni string             CNI
      --feature-flags string   Experimental Features: Supported values with comma seperated: [autoscale]
  -h, --help                   help for ha-azure
  -n, --name string            Cluster Name (default "demo")
      --noCP int               Number of ControlPlane Nodes (default -1)
      --noDS int               Number of DataStore Nodes (default -1)
      --noWP int               Number of WorkerPlane Nodes (default -1)
      --nodeSizeCP string      Node size of self-managed controlplane nodes
      --nodeSizeDS string      Node size of self-managed datastore nodes
      --nodeSizeLB string      Node size of self-managed loadbalancer node
      --nodeSizeWP string      Node size of self-managed workerplane nodes
  -r, --region string          Region
  -s, --storage string         storage provider
  -v, --verbose int            for verbose output
      --version string         Kubernetes Version
  -y, --yes                    approval to avoid showMsg (default true)
```

### SEE ALSO

* [ksctl create-cluster](ksctl_create-cluster.md)	 - Use to create a cluster
* [ksctl create-cluster ha-azure add-nodes](ksctl_create-cluster_ha-azure_add-nodes.md)	 - Use to add more worker nodes in self-managed Highly-Available cluster on Azure

###### Auto generated by spf13/cobra on 24-Aug-2024
